package cn.iocoder.yudao.module.iot.service.devicecontactmodel;

import javax.validation.*;
import cn.iocoder.yudao.module.iot.controller.admin.devicecontactmodel.vo.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.iot.dal.dataobject.devicecontactmodel.DeviceContactModelDO;

import java.util.List;

/**
 * 采集设备模型-点位管理 Service 接口
 *
 * @author 内蒙必硕
 */
public interface DeviceContactModelService {

    /**
     * 创建采集设备模型-点位管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeviceContactModel(@Valid DeviceContactModelSaveReqVO createReqVO);

    /**
     * 更新采集设备模型-点位管理
     *
     * @param updateReqVO 更新信息
     */
    void updateDeviceContactModel(@Valid DeviceContactModelSaveReqVO updateReqVO);

    /**
     * 删除采集设备模型-点位管理
     *
     * @param id 编号
     */
    void deleteDeviceContactModel(List<Long> id);

    /**
     * 获得采集设备模型-点位管理
     *
     * @param id 编号
     * @return 采集设备模型-点位管理
     */
    DeviceContactModelDO getDeviceContactModel(Long id);

    /**
     * 获得采集设备模型-点位管理分页
     *
     * @param pageReqVO 分页查询
     * @return 采集设备模型-点位管理分页
     */
    PageResult<DeviceContactModelDO> getDeviceContactModelPage(DeviceContactModelPageReqVO pageReqVO);

    List<DeviceContactModelDO> getDeviceContactModelList(Long id);

    List<DeviceContactModelDO> selectListByDeviceId(Long id);
}